Package ru.bitel.bgbilling.plugins.crm.server.bean.event

# Class ProblemOrCallChangedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.plugins.crm.server.bean.event.ProblemOrCallChangedEvent

All Implemented Interfaces:
  `Serializable`

public class ProblemOrCallChangedEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - создания изменения звонка/проблемы.
Событие генерируется после изменения параметров проблемы.
Событие передаётся в скрипт договора, код которого должен быть указан в конфигурации плагина как event.contract.id.
Если создан звонок то приходит только call и isCreated=true.
Если создана проблема по звонку то приходят call и problem и isCreated=true.
Если создана только проблема то приходит только problem и isCreated=true.
Если изменена проблема то приходит только problem и isCreated=false.
Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ProblemOrCallChangedEvent()`
  ``
  `ProblemOrCallChangedEvent(int pluginId, int contractId, boolean created, RegisterCall call, RegisterProblem problem)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RegisterCall`
  `getCall()`
  Возвращает объект звонка после изменения.
  `RegisterProblem`
  `getProblem()`
  Возвращает объект с проблемой после изменения.
  `int`
  `getTypeId()`
  Deprecated.
  `boolean`
  `isCreated()`
  Возвращает была ли проблема создана.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProblemOrCallChangedEvent

    protected ProblemOrCallChangedEvent()

  - ### ProblemOrCallChangedEvent

    public ProblemOrCallChangedEvent(int pluginId, int contractId, boolean created, RegisterCall call, RegisterProblem problem)
    Конструктор события.
    Parameters:
      `pluginId` - - код плагина
      `contractId` - - код договора
      `created` - - флаг создания
      `call` - - звон
      `problem` - - пробдема

- ## Method Details

  - ### getTypeId

    @Deprecated public int getTypeId()
    Deprecated.
    Использовать проверку instanceof.
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`

  - ### getCall

    public RegisterCall getCall()
    Возвращает объект звонка после изменения.
    Returns:
      call - звонок

  - ### getProblem

    public RegisterProblem getProblem()
    Возвращает объект с проблемой после изменения.
    Returns:
      problem - проблема

  - ### isCreated

    public boolean isCreated()
    Возвращает была ли проблема создана.
    Returns:
      created - флаг создания задачи:
  - true - создана
  - false - измененя